VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults:

## Avaliable Methods
public method | get_auth_key ()
public method | get_priv_key ()
public method | set_auth_key ()
public method | new ()
public method | set_priv_key ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults` class Structure to provide operators diagnostics test results.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults::get_auth_key | ( |  | ) |

Gets the value of 'auth_key' property.

Return values

  auth_key | - The current value of the field. SNMP authentication key String#

Code:
click to view
# Number of lines of code in get_auth_key: 4
sub get_auth_key {
my ($self, %args) = @_;
return $self->{'auth_key'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults::get_priv_key | ( |  | ) |

Gets the value of 'priv_key' property.

Return values

  priv_key | - The current value of the field. SNMP privacy key String#

Code:
click to view
# Number of lines of code in get_priv_key: 4
sub get_priv_key {
my ($self, %args) = @_;
return $self->{'priv_key'};
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{auth_key} = $args{'auth_key'};
$self->{priv_key} = $args{'priv_key'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.monitoring.snmp.SNMP_hash_results');
$self->set_binding_field('key' => 'auth_key', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'priv_key', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults::set_auth_key | ( |  | ) |

Sets the given value for 'auth_key' property.

Parameters

  auth_key | - New value for the field. SNMP authentication key

Code:
click to view
# Number of lines of code in set_auth_key: 5
sub set_auth_key {
my ($self, %args) = @_;
$self->{'auth_key'} = $args{'auth_key'};
return;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults::set_priv_key | ( |  | ) |

Sets the given value for 'priv_key' property.

Parameters

  priv_key | - New value for the field. SNMP privacy key

Code:
click to view
# Number of lines of code in set_priv_key: 5
sub set_priv_key {
my ($self, %args) = @_;
$self->{'priv_key'} = $args{'priv_key'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm